extends KinematicBody2D

onready var mArea = $Area2D;
onready var mSprite = $Sprite;

func _ready():
	add_to_group("ar");
	mArea.collision_layer = 4;
	mArea.collision_mask = 4;
	#mArea.set_collision_layer_bit(0,true);
	mArea.set_collision_layer_bit(0,false);
	mArea.set_collision_mask_bit(0,true);

func _physics_process(delta):
	if Input.is_action_pressed("ui_left"):
		global_position -= Vector2.RIGHT*120*delta;
	elif Input.is_action_pressed("ui_right"):
		global_position += Vector2.RIGHT*120*delta;
	detectCollision();

var nr := 0
func detectCollision():
	var areas = mArea.get_overlapping_areas();
	if !areas.empty():
		nr+=1
		print("[%d] Tester Area: overlapping %d areas." % [ nr, areas.size()])
		mSprite.modulate = Color.green;
	else:
		mSprite.modulate = Color.white;
